hwloc_obj_attr_u::hwloc_numanode_attr_s::hwloc_memory_page_type_s(3)

NAME
hwloc_obj_attr_u::hwloc_numanode_attr_s::hwloc_memory_page_type_s

SYNOPSIS

#include <hwloc.h>

  Data Fields
hwloc_uint64_t size
hwloc_uint64_t count

Detailed Description

Array of local memory page types, NULL if no local memory and page_types is 0. The array is sorted by increasing size fields. It contains page_types_len slots.

Field Documentation

  hwloc_uint64_t hwloc_obj_attr_u::hwloc_numanode_attr_s::hwloc_memory_page_type_s::count

Number of pages of this size.

  hwloc_uint64_t hwloc_obj_attr_u::hwloc_numanode_attr_s::hwloc_memory_page_type_s::size

Size of pages.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.